<template>
  <div :class="['trial', `trial--${designType}`, !promoStatus? 'trial--promo-end': '']">
    <div class="trial-conditions">
      <span :class="['trial-conditions__promo-price', `trial-conditions__promo-price--${designType}`]">
        3-day trial for 
        <span :class="[`trial-conditions__price-offer--${designType}`]">
          $0.99
        </span>
      </span>
      
      <span :class="['trial-conditions__price', `trial-conditions__price--${designType}`, !promoStatus? 'trial-conditions__price--promo-end': '']">
        {{ price }}
      </span>

      <span v-if="promoStatus" :class="['trial-conditions__fullprice', `trial-conditions__fullprice--${designType}`]">
        $39.99/week
      </span>
    </div>
    <promo-timer v-if="promoStatus" :design-type="designType"/>
  </div>
</template>

<script>
import PromoTimer from '../Timer.vue'
export default {
  name: 'TrialConditions',
  components: {PromoTimer},
  props: {
      designType: {
        type: String,
        required: true
      },
      promoStatus: {
        type: Boolean,
        default: true,
      }
  },
  computed: {
    price(){
      return this.promoStatus? 'Then $9.99' : 'Then $39.99/week'
    }
  },
  methods:{
  
  }
}
</script>

<style lang="scss">
.trial {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
  margin-bottom: 24px;
  @media screen and (min-width: 768px) {
    padding: 0px;
  }
  &--promo-end{
    @media screen and (max-width: 768px) {
      justify-content: center;
    }
  }
  &--SmartStudy{
    border-radius: 24px;
    background: rgba(0, 0, 0, 0.60);
    @media screen and (min-width: 768px) {
      border: none;
      background: none;
    }
  }
  &--PlanetLearn{
    border-radius: 12px;
    border: 1px solid #CDCDCD;
    background: #FFF;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.06);
    @media screen and (min-width: 768px) {
      border: none;
      background: none;
      box-shadow: none;
    }
  }
}

.trial-conditions{
  display: flex;
  flex-direction: column;
  margin-right: 12px;

  &__promo-price{
    font-size: 18px;
    font-style: normal;
    font-weight: 800;
    margin-bottom: 8px;
    @media screen and (min-width: 768px) {
        font-size: 24px;
      }
    &--SmartStudy{
      color: #66EDFF;
    }
    &--PlanetLearn{
      color: #000;
    }
  }
  &__price-offer{
    &--PlanetLearn{
      color: #FF8D24;
    }
  }
  &__price{
    line-height: 120%;
    font-size: 16px;
    font-weight: 600;
    @media screen and (min-width: 768px) {
        font-size: 20px;
        font-weight: 600;
      }
    &--promo-end{
      @media screen and (max-width: 768px) {
        text-align: center;
      }
    }
    &--SmartStudy{
      color: #FFF;
    }
    &--PlanetLearn{
      color: #000;
    }
  }
  &__fullprice{
    opacity: 0.6;
    font-size: 14px;
    font-weight: 600;
    line-height: 140%;
    text-decoration: line-through;
    @media screen and (min-width: 768px) {
        font-size: 16px;
      }
    &--SmartStudy{
      color: #FFF;
    }
  }
}
</style>